
Redmine - Feature #35758

Add some space around the versions on the Roadmap

2021-08-13 18:42 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version: 4.2.3   

Resolution: Fixed   

Description

Currently it somewhat looks like versions are crammed together one after another on the Roadmap. I think it would be good to give

them some additional space.

This can easily be accomplished with some additional CSS like:

 public/stylesheets/application.css | 2 ++

 1 file changed, 2 insertions(+)

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index e117bc1d0..d09310581 100644

--- a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -640,6 +640,8 @@ div#roadmap .wiki h2 { font-size: 110%; }

 div#roadmap h2, div#roadmap h3 {padding-right: 0;}

 body.controller-versions.action-show div#roadmap .related-issues {width:70%;}

+div#roadmap .version-article {padding-bottom: 12px;}

+

 div#version-summary { float:right; width:28%; margin-left: 16px; margin-bottom: 16px; background-

color: #fff; }

 div#version-summary fieldset { margin-bottom: 1em; }

 div#version-summary fieldset.time-tracking table { width:100%; }

 Note: the above given diff is against trunk @ r21131.

Associated revisions

Revision 21176 - 2021-08-15 06:32 - Go MAEDA

Add some space around the versions on the Roadmap (#35758).

Patch by Mischa The Evil.

Revision 21184 - 2021-08-16 06:58 - Go MAEDA

Merged r21176 from trunk to 4.2-stable (#35758).

History

#1 - 2021-08-13 18:54 - Mischa The Evil

- Description updated

#2 - 2021-08-14 02:48 - Go MAEDA

- File 35758-before.png added

- File 35758-after.png added

- Target version set to 4.2.3

The suggested style looks nice. Setting the target version to 4.2.3.

Before:
After:

 35758-after.png 

#3 - 2021-08-15 06:32 - Go MAEDA

- Category changed from UI to Roadmap

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#4 - 2021-08-16 06:58 - Go MAEDA

- Status changed from Resolved to Closed

Files

35758-before.png 91.2 KB 2021-08-14 Go MAEDA

35758-after.png 91.8 KB 2021-08-14 Go MAEDA
